## oldmitpthreads 0.0

=== debian/changelog ===
oldmitpthreads (0.0) unstable; urgency=low

  * Initial Release.  Chewed up libc5 so that it produced only the
    MIT (Provenzano) pthreads library as a standalone package, then mushed
    it into the new packaging standards.

 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Sun, 16 Mar 1997 15:33:41 -0500

Local variables:
mode: debian-changelog
End:
