=== debian/changelog ===
oldmitpthreads (0.1) unstable; urgency=low

  * (debian/rules) take out header files so it doesn't conflict with
    linuxthreads [#9002] and to discourage people from actually *using*
    this package for other than binary releases that still need it.

 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Sat, 26 Apr 1997 20:13:48 -0400
