=== debian/control ===
Source: oldmitpthreads
Section: devel
Priority: optional
Maintainer: Mark Eichin <eichin@kitten.gen.ma.us>
Standards-Version: 0.2.1.1

Package: oldmitpthreads
Section: devel
Priority: optional
Description: OLD MIT-pthreads from libc5-5.4.17, for gnat use
 The MIT pthreads libraries, factored out for gnat use. The only thing that 
 should care about this is GNAT; other packages should probably convert 
 to LinuxThreads.
Architecture: any
