=== debian/rules ===
--- 
+++ 
@@ -52,8 +52,8 @@
 	strip pth-tmp/usr/lib/libpthreads.so.$(pv)
 	ln -s libpthreads.so.$(pv) pth-tmp/usr/lib/libpthreads.so.1
 	ln -sf libpthreads.so.$(pv) pth-tmp/usr/lib/libpthreads.so
-	install -d pth-tmp/usr/include
-	cp -a include/pthread* pth-tmp/usr/include/
+	# install -d pth-tmp/usr/include
+	# cp -a include/pthread* pth-tmp/usr/include/
 	#
 	install -d pth-tmp/usr/doc/$(p)
 	install debian/README pth-tmp/usr/doc/$(p)/copyright
